sequence.sequence

## Class RealReorganizableSequence

- java.lang.Object
- - sequence.basesequence.AbstractBaseSequence
  - - sequence.sequence.RealSequence
    - - sequence.sequence.RealReorganizableSequence

- All Implemented Interfaces:
    CommonBase, BaseSequence, ReorganizableSequence, Sequence

      class RealReorganizableSequence
      extends RealSequence
      implements ReorganizableSequence

  Implementace reorganizovatelné posloupnosti.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class sequence.sequence.RealSequence

      `list`

    - ### Fields inherited from class sequence.basesequence.AbstractBaseSequence

      `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealReorganizableSequence(ListFactory aListFactory, int aSize)` Vyrobí reorganizovatelnou posloupnost.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `makeFirst()` Přesune běžný prvek do hlavy seznamu.

    - ### Methods inherited from class sequence.sequence.RealSequence

      `append, getList, insert, isFirst, isLast, moveFirst, moveLast, moveNext, movePrev, moveTo, remove`

    - ### Methods inherited from class sequence.basesequence.AbstractBaseSequence

      `getCount, getElement, getMoveCounter, isEmpty, isFull, resetMoveCounter, setElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface sequence.sequenceinterface.Sequence

      `append, insert, isFirst, isLast, moveFirst, moveLast, moveNext, movePrev, moveTo, remove`

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### RealReorganizableSequence

          public RealReorganizableSequence(ListFactory aListFactory,
                                           int aSize)

      Vyrobí reorganizovatelnou posloupnost. Posloupnost se Implementuje jako wrapper nad seznamem.
      Parameters:
        `aListFactory` - továrna na seznamy
        `aSize` - požadovaná kapacita posloupnosti

  - ### Method Detail

    - #### makeFirst

          public void makeFirst()

      Description copied from interface: `ReorganizableSequence`
      Přesune běžný prvek do hlavy seznamu.

      Vyžaduje: not isEmpty

      Splní: not isEmpty

      Mění: změní pořadí prvků v posloupnosti

      Specified by:
        `makeFirst` in interface `ReorganizableSequence`